package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="CUR")
public class CheckUserRightsObject implements ParsableObject {
	public boolean IsNotEnoughRole;
	public boolean IsNotEnoughMoney;
	public int TextResourceID;
	public int MediaResourceID;
	
	public CheckUserRightsObject( boolean IsNotEnoughRole, boolean IsNotEnoughMoney, int TextResourceID, int MediaResourceID ) {
		this.IsNotEnoughMoney = IsNotEnoughMoney;
		this.IsNotEnoughRole = IsNotEnoughRole;
		this.TextResourceID = TextResourceID;
		this.MediaResourceID = MediaResourceID;
	}
	
	@Attribute(name="IsNotEnoughRole")
	public boolean getIsNotEnoughRole() {
		return this.IsNotEnoughRole;
	}
	
	@Attribute(name="IsNotEnoughMoney")
	public boolean getIsNotEnoughMoney() {
		return this.IsNotEnoughMoney;
	}
	
	@Attribute(name="TextResourceID")
	public int getTextResourceID() {
		return this.TextResourceID;
	}
	
	@Attribute(name="MediaResourceID")
	public int getMediaResourceID() {
		return this.MediaResourceID;
	}
}
