package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="item")
public class InventoryItem implements ParsableObject {
    private Integer TextResourceID;
    private Integer ID;
    private Integer BodyPartId;
    private Integer MediaResourceID;
    private Integer IsUsed;
    private Integer IsColorable;
    private Integer Color;
    private Integer IsLimited;
    private String Date;
    private Integer Pollution;
    private Integer IsBodyPart;

    public InventoryItem( Integer ID, Integer IsLimited, Integer IsUsed, String Date, Integer MediaResourceID, Integer TextResourceID, Integer Pollution, Integer BodyPartId, Integer IsColorable, Integer Color, Integer IsBodyPart ) {
        this.TextResourceID = TextResourceID;
        this.BodyPartId = BodyPartId;
        this.ID = ID;
        this.Color = Color;
        this.Date = Date;
        this.IsBodyPart = IsBodyPart;
        this.IsColorable = IsColorable;
        this.IsLimited = IsLimited;
        this.IsUsed = IsUsed;
        this.MediaResourceID = MediaResourceID;
        this.Pollution = Pollution;
    }

    @Attribute(name="ID")
    public Integer getID() {
        return this.ID;
    }

    @Attribute(name="GoodID")
    public Integer getGoodID() {
        return this.ID;
    }

    @Attribute(name="TextResourceID", required=false)
    public Integer getTextResourceID() {
        return TextResourceID;
    }

    @Attribute(name="BodyPartId")
    public Integer getBodyPartId() {
        return BodyPartId;
    }

    @Attribute(name="MediaResourceID")
    public Integer getMediaResourceID() {
        return MediaResourceID;
    }

    @Attribute(name="IsUsed")
    public Integer getIsUsed() {
        return IsUsed;
    }

    @Attribute(name="IsColorable")
    public Integer getIsColorable() {
        return IsColorable;
    }

    @Attribute(name="Color", required=false)
    public Integer getColor() {
        return Color;
    }

    @Attribute(name="IsLimited", required=false)
    public Integer getIsLimited() {
        return IsLimited;
    }

    @Attribute(name="Date", required=false)
    public String getDate() {
        return Date;
    }

    @Attribute(name="Pollution", required=false)
    public Integer getPollution() {
        return Pollution;
    }

    @Attribute(name="IsBodyPart", required=false)
    public Integer getIsBodyPart() {
        return IsBodyPart;
    }

    public void setIsUsed( int IsUsed ) {
        this.IsUsed = IsUsed;
    }

    public void setColor( int color ) {
        this.Color = color;
    }
}