package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;

import java.util.ArrayList;

public class InventoryTab implements ParsableObject {
    private int TextResourceID;
    private ArrayList<InventoryGroup> items = new ArrayList<InventoryGroup>();

    public InventoryTab( int TextResourceID, ArrayList<InventoryGroup> items ) {
        this.TextResourceID = TextResourceID;
        this.items = items;
    }

    @Attribute(name="TextResourceID")
    public int getTextResourceID() {
        return this.TextResourceID;
    }

    @ElementList(inline = true, name="tab")
    public ArrayList<InventoryGroup> getItems() {
        return this.items;
    }
}