package org.cl0zzzy.server;

public class Player {
	
	private int id = -1;
	private String playerName = "";
	private double x = 480;
	private double y = 300;
	private double state = 2;
	private int location = Integer.MAX_VALUE;
	private boolean inLocation = false;
	private boolean inMultiplayerGame = false;
	private boolean canModifyLocations = false;
	
	public Player( int id ) {
		this.id = id;
	}
	
	public void setX( double x ) {
		this.x = x;
	}
	
	public void setY( double y ) {
		this.y = y;
	}
	
	public void setCanModifyLocations( boolean canModifyLocations ) {
		this.canModifyLocations = canModifyLocations;
	}
	
	public boolean getCanModifyLocations() {
		return this.canModifyLocations;
	}
	
	public void setCoords( double x, double y ) {
		this.setX(x);
		this.setY(y);
	}
	
	public double getX() {
		return this.x;
	}
	
	public double getY() {
		return this.y;
	}
	
	public void setLocation( int id ) {
		this.location = id;
	}
	
	public int getLocation() {
		return this.location;
	}
	
	public void setState( double state ) {
		this.state = state;
	}
	
	public double getState() {
		return this.state;
	}
	
	public void setInMultiplayerGame( boolean inMultiplayerGame ) {
		this.inMultiplayerGame = inMultiplayerGame;
	}
	
	public boolean IsInMultiplayerGame() {
		return this.inMultiplayerGame;
	}
	
	public void setInLocation( boolean inLocation ) {
		this.inLocation = inLocation;
	}
	
	public boolean isInLocation() {
		return this.inLocation;
	}
	
	public int getId() {
		return this.id;
	}
	
	public void setName( String name ) {
		this.playerName = name;
	}
	
	public String getName() {
		return this.playerName;
	}
	
}
