package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Element;
import org.simpleframework.xml.Root;

@Root(name="inventory")
public class Profile implements ParsableObject {
    private UserInfo ui;

    public Profile( UserInfo ui ) {
        this.ui = ui;
    }

    @Element(name="user")
    public UserInfo getUserInfo() {
        return this.ui;
    }

    @Element(name="avatar")
    public String getAvatar() {
        return "";
    }
}
