package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="account")
public class UserAccount {
    private int PhoneCardBalance;
    private int WeaponsCount;
    private int OxigenUnits;

    public UserAccount(int phoneCardBalance, int weaponsCount, int oxigenUnits) {
        PhoneCardBalance = phoneCardBalance;
        WeaponsCount = weaponsCount;
        OxigenUnits = oxigenUnits;
    }

    @Attribute(name="PhoneCardBalance")
    public int getPhoneCardBalance() {
        return PhoneCardBalance;
    }

    @Attribute(name="WeaponsCount")
    public int getWeaponsCount() {
        return WeaponsCount;
    }

    @Attribute(name="OxigenUnits")
    public int getOxigenUnits() {
        return OxigenUnits;
    }
}
