package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="user_phone")
public class UserPhone {
    private int BufferSize;
    private int SkinMediaResourceID;
    private int PhoneId;
    private int Balance;

    @Attribute(name="BufferSize")
    public int getBufferSize() {
        return BufferSize;
    }

    @Attribute(name="SkinMediaResourceID")
    public int getSkinMediaResourceID() {
        return SkinMediaResourceID;
    }

    @Attribute(name="PhoneId")
    public int getPhoneId() {
        return PhoneId;
    }

    @Attribute(name="Balance")
    public int getBalance() {
        return Balance;
    }

    public UserPhone(int bufferSize, int skinMediaResourceID, int phoneId, int balance) {
        BufferSize = bufferSize;
        SkinMediaResourceID = skinMediaResourceID;
        PhoneId = phoneId;
        Balance = balance;
    }
}
