package org.cl0zzzy.rtmp;

import java.util.ArrayList;

public class AMFObjectArray {
	
	private ArrayList<String> keys = new ArrayList<String>();
	private ArrayList<AMFObject> values = new ArrayList<AMFObject>();
	
	public AMFObjectArray() {}
	
	public void add( String key, AMFObject value ) {
		this.keys.add(key);
		this.values.add(value);
	}
	
	public AMFObject getValueAt( int index ) {
		return this.values.get(index);
	}
	
	public String getKeyAt( int index ) {
		return this.keys.get(index);
	}
	
	public AMFObject get( String key ) {
		for( int i = 0; i < keys.size(); i++ ) {
			if( keys.get(i).equals(key) ) {
				return values.get(i);
			}
		}
		return null;
	}
	
	public int getLength() {
		return keys.size();
	}
	
	public String getString() {
		String str = "Object";
		for( int i = 0; i < this.getLength(); i++ ) {
			str = str + "\nObject -> " + this.getKeyAt(i) + "=" + this.getValueAt(i).getString();
		}
		return str;
	}
	
	public String toString() {
		String str = "Object";
		for( int i = 0; i < this.getLength(); i++ ) {
			str = str + "\nObject -> " + this.getKeyAt(i) + "=" + this.getValueAt(i).toString(false);
		}
		return str;
	}
	
}
