package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="item")
public class CatalogItem implements ParsableObject {
    private int Id;
    private int TId;
    private int UsualTickets;
    private int MagicTickets;

    public CatalogItem(int id, int TId, int usualTickets, int magicTickets) {
        Id = id;
        this.TId = TId;
        UsualTickets = usualTickets;
        MagicTickets = magicTickets;
    }

    @Attribute(name="Id")
    public int getId() {
        return Id;
    }

    @Attribute(name="TId")
    public int getTId() {
        return TId;
    }

    @Attribute(name="UsualTickets")
    public int getUsualTickets() {
        return UsualTickets;
    }

    @Attribute(name="MagicTickets")
    public int getMagicTickets() {
        return MagicTickets;
    }
}
