package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.Root;

@Root(name="good")
public class Good implements ParsableObject {
	private int Id;
	private int TextResourceID;
	private int MediaResourceId;
	private int GoodTypeId;
	private int RoleFlags;
	private int UsualTickets;
	private int MagicTickets;
	private int IsActive;
	private int LayerID;

	public Good(int id, int TRId, int MRId, int goodTypeId, int roleFlags, int usualTickets, int magicTickets, int LayerID, int IsActive ) {
		Id = id;
		this.TextResourceID = TRId;
		this.MediaResourceId = MRId;
		GoodTypeId = goodTypeId;
		RoleFlags = roleFlags;
		UsualTickets = usualTickets;
		MagicTickets = magicTickets;
		this.IsActive = IsActive;
		this.LayerID = LayerID;
	}

	@Attribute(name="IsActive")
	public int getIsActive() {
		return IsActive;
	}

	@Attribute(name="LayerID")
	public int getLayerID() {
		return LayerID;
	}

	@Attribute(name="Id")
	public int getId() {
		return Id;
	}

	@Attribute(name="TextResourceId")
	public int getTextResourceID() {
		return TextResourceID;
	}

	@Attribute(name="MediaResourceId")
	public int getMediaResourceID() {
		return MediaResourceId;
	}

	@Attribute(name="GoodTypeId")
	public int getGoodTypeId() {
		return GoodTypeId;
	}

	@Attribute(name="RoleFlags")
	public int getRoleFlags() {
		return RoleFlags;
	}

	@Attribute(name="UsualTickets")
	public int getUsualTickets() {
		return UsualTickets;
	}

	@Attribute(name="MagicTickets")
	public int getMagicTickets() {
		return MagicTickets;
	}
}
