package org.cl0zzzy.server;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;

import java.util.ArrayList;

public class InventoryList implements ParsableObject {
    private int TextResourceID;
    private ArrayList<InventoryItem> items = new ArrayList<InventoryItem>();

    public InventoryList( int TextResourceID, ArrayList<InventoryItem> items ) {
        this.TextResourceID = TextResourceID;
        this.items = items;
    }

    @Attribute(name="TextResourceID")
    public int getTextResourceID() {
        return this.TextResourceID;
    }

    @ElementList(inline = true, name="item")
    public ArrayList<InventoryItem> getItems() {
        return this.items;
    }
}
